﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 98 ScopeMeter (1 yr) VER RS-232 /5500
DATE:                  2018-01-09 06:38:00
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 17973 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       27
NUMBER OF LINES:       288
CONFIGURATION:         Fluke 5500A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Service Manual: Fluke Automotive ScopeMeter 98, chapter 4
#        P/N: 4822 872 05364 @010695
#
#  Compatibilty:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {Cal M1: DC VOLTAGE ACCURACY, BNC INPUT}
  1.003  TARGET       -p
  1.004  PIC          55_98a
  1.005  MATH         @Cmd = "EX111,1"
  1.006  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.007  MATH         @Cmd = "QM 1 V"; @Wait = 2

  1.008  5500         300.0mV                                           S  2W
  1.009  TARGET       -m
  1.010  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  1.011  MATH         MEM = MEM / 1E-3
  1.012  MEMCX        300.0mV        0.5% 0.5U

  2.001  5500         1.000V                                            S  2W
  2.002  TARGET       -m
  2.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  2.004  MEMCX        1.000V         0.5% 0.005U

  3.001  5500         3.000V                                            S  2W
  3.002  TARGET       -m
  3.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  3.004  MEMCX        3.000V         0.5% 0.005U

  4.001  5500         10.00V                                            S  2W
  4.002  TARGET       -m
  4.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  4.004  MEMCX        10.00V         0.5% 0.05U

  5.001  5500         30.00V                                            S  2W
  5.002  TARGET       -m
  5.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  5.004  MEMCX        30.00V         0.5% 0.05U

  6.001  5500         100.0V                                            S  2W
  6.002  TARGET       -m
  6.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  6.004  MEMCX        100.0V         0.5% 0.5U

  7.001  5500         250.0V                                            S  2W
  7.002  WAIT         -t 2 Settling...
  7.003  TARGET       -m
  7.004  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  7.005  MEMCX        250.0V         0.5% 0.5U

  8.001  RSLT         =
  8.002  HEAD         {Cal M2: AC VOLTAGE ACCURACY, BNC INPUT}
  8.003  TARGET       -p
  8.004  MATH         @Cmd = "EX111,2"
  8.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
  8.006  MATH         @Cmd = "QM 1 V"; @Wait = 2

  8.007  5500         300.0mV                      1kH            SI    S  2W
  8.008  TARGET       -m
  8.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  8.010  MATH         MEM = MEM / 1E-3
  8.011  MEMCX        300.0mV        2% 1.5U       1kH

  9.001  5500         1.000V                       1kH            SI    S  2W
  9.002  TARGET       -m
  9.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  9.004  MEMCX        1.000V         2% 0.015U     1kH

 10.001  5500         3.000V                       1kH            SI    S  2W
 10.002  TARGET       -m
 10.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 10.004  MEMCX        3.000V         2% 0.015U     1kH

 11.001  5500         10.00V                       1kH            SI    S  2W
 11.002  TARGET       -m
 11.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 11.004  MEMCX        10.00V         2% 0.15U      1kH

 12.001  5500         30.00V                       1kH            SI    S  2W
 12.002  TARGET       -m
 12.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 12.004  MEMCX        30.00V         2% 0.15U      1kH

 13.001  5500         100.0V                       1kH            SI    S  2W
 13.002  TARGET       -m
 13.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 13.004  MEMCX        100.0V         2% 1.5U       1kH

 14.001  5500         200.0V                       1kH            SI    S  2W
 14.002  TARGET       -m
 14.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 14.004  MEMCX        200.0V         2% 1.5U       1kH

 15.001  5500         *                                                 S

 15.002  RSLT         =
 15.003  HEAD         {Cal M3: OHMS ACCURACY, BNC INPUT}
 15.004  TARGET       -p
 15.005  MATH         @Cmd = "EX111,3"
 15.006  CALL         Sub Fluke ScopeMeter Send Command RS-232
 15.007  MATH         @Cmd = "QM 1 V"; @Wait = 5

 15.008  5500         000.0Z                                            S  2W
 15.009  TARGET       -m
 15.010  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 15.011  MEMCX        000.0Z         0.5% 0.5U

 16.001  5500         100.0Z                                            S  2W
 16.002  TARGET       -m
 16.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 16.004  MEMCX        100.0Z         0.5% 0.5U

 17.001  5500         1.000kZ                                           S  2W
 17.002  TARGET       -m
 17.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 17.004  MATH         MEM = MEM / 1E+3
 17.005  MEMCX        1.000kZ        0.5% 0.005U

 18.001  5500         10.00kZ                                           S  2W
 18.002  TARGET       -m
 18.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 18.004  MATH         MEM = MEM / 1E+3
 18.005  MEMCX        10.00kZ        0.5% 0.05U

 19.001  5500         100.0kZ                                           S  2W
 19.002  TARGET       -m
 19.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 19.004  MATH         MEM = MEM / 1E+3
 19.005  MEMCX        100.0kZ        0.5% 0.5U

 20.001  5500         1MZ                                               S  2W
 20.002  TARGET       -m
 20.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 20.004  MATH         MEM = MEM / 1E+6
 20.005  MEMCX        1.000MZ        0.5% 0.005U

 21.001  5500         10MZ                                              S  2W
 21.002  TARGET       -m
 21.003  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 21.004  MATH         MEM = MEM / 1E+6
 21.005  MEMCX        10.00MZ        0.5% 0.05U

 22.001  RSLT         =
 22.002  HEAD         {Cal M4: DIODE MODE TEST, BNC INPUT}
 22.003  TARGET       -p
 22.004  MATH         @Cmd = "EX111,4"
 22.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
 22.006  MATH         @Cmd = "QM 1 V"; @Wait = 2
 22.007  5500         1.000V                                            S  2W
 22.008  TARGET       -m
 22.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 22.010  MEMCX        1.000V         0.01U

 23.001  RSLT         =
 23.002  HEAD         {Cal S4: VERTICAL DEFLECTION COEFFICIENT CHANNEL A}
 23.003  MATH         L[2] = ACCV("Fluke 5500A", "Volts", 300E-3)
 23.004  MATH         L[2] = RSS2(L[2], L[2]) / 1E-3
 23.005  TARGET       -p
#         The deflection is checked in the automatic way with
#         DC only. This is to eliminate the influence of the
#         jump of the trace when measuring with 10kHz.
#         In the manual way it is easier to use 10kHz,
#         because then one sees directly the result on the
#         display.
 23.006  MATH         @Cmd = "EX110,4"
 23.007  CALL         Sub Fluke ScopeMeter Send Command RS-232
 23.008  MATH         @Cmd = "QM 1 V"; @Wait = 2
 23.009  TARGET       -m
# S4: 300mV DC and -300mV DC (to eliminate the offset voltage)
 23.010  5500         300mV                                             S  2W
 23.011  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 23.012  MATH         L[1] = MEM
 23.013  5500         -300mV                                            S  2W
 23.014  ACC          600.0mV        L2U
 23.015  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 23.016  MATH         MEM = (L[1] - MEM) / 1E-3
 23.017  MEMCX        600.0mV        2% 4U

 24.001  5500         *                                                 S

 24.002  RSLT         =
 24.003  HEAD         {Cal S5:VERTICAL DEFLECTION COEFFICIENT CHANNEL B}
 24.004  MATH         L[2] = ACCV("Fluke 5500A", "Volts", 300E-3)
 24.005  MATH         L[2] = RSS2(L[2], L[2])  / 1E-3
 24.006  TARGET       -p
 24.007  PIC          55_98b
 24.008  MATH         @Cmd = "EX110,5"
 24.009  CALL         Sub Fluke ScopeMeter Send Command RS-232
 24.010  MATH         @Cmd = "QM 6 V"; @Wait = 2
# b100mvdc
# Command too long for a single statement. Cannot use OTERM.
 24.011  PORT         [OTERM NONE]
 24.012  PORT         PS1,8028001C089100000111110000CFBE47244F542019960403070601041000030008260000FFFF000001007402AC0100000000656600008080808080801B028003094268000000020004180000000000000000000000001080021F001020508002E80305180000000000000000
 24.012  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C0208008010E803FD863408FE00401FF702A00FFA01[13]
 24.013  PORT         [OTERM CR]
 24.014  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 24.015  TARGET       -m
# S5: 300mV DC and -300mV DC (to eliminate the offset voltage)
 24.016  5500         300mV                                             S  2W
 24.017  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 24.018  MATH         L[1] = MEM
 24.019  5500         -300mV                                            S  2W
 24.020  ACC          600.0mV        L2U
 24.021  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 24.022  MATH         MEM = (L[1] - MEM) / 1E-3
 24.023  MEMCX        600.0mV        2% 4U

 25.001  MATH         L[2] = ACCV("Fluke 5500A", "Volts", 3)
 25.002  MATH         L[2] = RSS2(L[2], L[2])
 25.003  TARGET       -p
 25.004  MATH         @Cmd = "EX110,6"
 25.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
 25.006  MATH         @Cmd = "QM 6 V"; @Wait = 2
# b1vdc
 25.007  PORT         [OTERM NONE]
 25.008  PORT         PS1,8059001C089100000111110000CFBE47244F542019960403070601041000030008260000FFFF000001007402AC0100000000656600008080808080801B028003094298000000020004180000000000000000000000001080021F001020508002E80305180000000000000000
 25.008  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C0208008010E803FD863408FE00401FF702A00FFB01[13]
 25.009  PORT         [OTERM CR]
 25.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 25.011  TARGET       -m
# S6: 3V DC and -3V (to eliminate the offset voltage)
 25.012  5500         3V                                                S  2W
 25.013  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 25.014  MATH         L[1] = MEM
 25.015  5500         -3V                                               S  2W
 25.016  ACC          6.000V         L2U
 25.017  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 25.018  MATH         MEM = L[1] - MEM
 25.019  MEMCX        6.000V         2% 0.04U

 26.001  MATH         L[2] = ACCV("Fluke 5500A", "Volts", 30)
 26.002  MATH         L[2] = RSS2(L[2], L[2])
 26.003  TARGET       -p
 26.004  MATH         @Cmd = "EX110,7"
 26.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
 26.006  MATH         @Cmd = "QM 6 V"; @Wait = 2
# b10vdc
 26.007  PORT         [OTERM NONE]
 26.008  PORT         PS1,808A001C089100000111110000CFBE47244F542019960403070601041000030008260000FFFF000001007402AC0100000000656600008080808080801B0280030942C8000000020004180000000000000000000000001080021F001020508002E80305180000000000000000
 26.008  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C0208008010E803FD863408FE00401FF702A00FFC01[13]
 26.009  PORT         [OTERM CR]
 26.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 26.011  TARGET       -m
# S7: 30V DC and -30V (to eliminate the offset voltage)
 26.012  5500         30V                                               S  2W
 26.013  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 26.014  MATH         L[1] = MEM
 26.015  5500         -30V                                              S  2W
 26.016  ACC          60.00V         L2U
 26.017  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 26.018  MATH         MEM = L[1] - MEM
 26.019  MEMCX        60.00V         2% 0.4U

 27.001  HEAD
 27.002  5500         *                                                 S
 27.003  END
