﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 98 ScopeMeter Display Tests RS-232
DATE:                  2008-06-16 08:42:55
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 22117 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       124
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models covered:
#        Fluke 98 Automotive ScopeMeter®
#
#  Compatibilty:
#        MET/CAL 8.0 and later
#
# Subprocedures:
#        Sub Fluke ScopeMeter Send Command RS-232
#
# Required Files:
#        None
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         Cal S1: LCD TEST - DARK BACKGROUND
  1.003  TARGET
  1.004  DISP         After pressing ADVance, a circle with a 45° line
  1.004  DISP         must be visible on the display for approx. 5 seconds.
  1.004  DISP         The background color is dark.
  1.004  DISP         Any defects in the columns of the display will be
  1.004  DISP         visible in the patterns.
  1.004  DISP
  1.004  DISP         After the 5 second wait, the evaluation message
  1.004  DISP         will appear.
  1.005  MATH         @Cmd = "EX110,1"
  1.006  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.007  MESS         A circle with a 45° line was visible on the display.
  1.007  MESS         This pattern may not show defects.
  1.007  MESS
  1.008  MEM2         =Cal S1: LCD TEST - DARK BACKGROUND
  1.009  EVAL   -s MEM2 : Was pattern without defects?

  2.001  RSLT         =
  2.002  HEAD         Cal S2: LCD TEST - LIGHT BACKGROUND
  2.003  TARGET
  2.004  DISP         After pressing ADVance, a circle with a 45° line
  2.004  DISP         must be visible on the display for approx. 5 seconds.
  2.004  DISP         The background color is light.
  2.004  DISP         Any defects in the columns of the display will be
  2.004  DISP         visible in the patterns.
  2.004  DISP
  2.004  DISP         After the 5 second wait, the evaluation message
  2.004  DISP         will appear.
  2.005  MATH         @Cmd = "EX110,2"
  2.006  CALL         Sub Fluke ScopeMeter Send Command RS-232
  2.007  MESS         A circle with a 45° line was visible on the display.
  2.007  MESS         This pattern may not show defects.
  2.007  MESS
  2.008  MEM2         =Cal S2: LCD TEST - LIGHT BACKGROUND
  2.009  EVAL   -s MEM2 : Was pattern without defects?

  3.001  RSLT         =
  3.002  HEAD         Cal S3: GROUND LEVEL CHECK
  3.003  TARGET
  3.004  MATH         @Cmd = "EX120,3"
  3.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
  3.006  MESS         The trace(s) of the displayed channel(s) must be
  3.006  MESS         situated on the vertical middle of the screen
  3.006  MESS         within 0.1 division.
  3.006  MESS
  3.007  MEM2         =Cal S3: GROUND LEVEL CHECK
  3.008  EVAL   -s MEM2 : Are the traces centered within 0.1 div?
  4.001  MESS

  4.002  RSLT         =
  4.003  HEAD         Cal S21/22: BASE LINE INSTABILITY
  4.004  TARGET
  4.005  DISP         Remove all connections from the
  4.005  DISP         Automotive ScopeMeter test tool.
  4.005  DISP
  4.005  DISP         Observe in the following test that the trace does
  4.005  DISP         not jump for more than 0.1 divisions.
  4.006  MATH         L[1] = 0

# Switch 4 times between setting 21 and 22 to check trace jump
  4.007  DO
  4.008  MATH         @Cmd = "EX120,21"
  4.009  CALL         Sub Fluke ScopeMeter Send Command RS-232
  4.010  WAIT         [D1000]
  4.011  MATH         @Cmd = "EX120,22"
  4.012  CALL         Sub Fluke ScopeMeter Send Command RS-232
  4.013  WAIT         [D1000]
  4.014  MATH         L[1] = L[1] + 1
  4.015  UNTIL        L[1] > 4

  4.016  MEM2         =Cal S21/22: BASE LINE INSTABILITY
  4.017  EVAL   -s MEM2 : Does the trace jump less than 0.1 divisions?

  5.001  MATH         @Cmd = "EX110,4"
  5.002  CALL         Sub Fluke ScopeMeter Send Command RS-232

  5.003  END
